Agora Java API Reference for Android

Classes | Public Attributes | Static Public Attributes | List of all members
io.agora.rtc2.video.ContentInspectConfig Class Reference

Screenshot and upload configuration. More...

## Classes
class | ContentInspectModule
| `ContentInspectModule` class, a structure used to configure the frequency of video screenshot and upload. More...

## Public Attributes
String | extraInfo
String | serverConfig
ContentInspectModule[] | modules
int | moduleCount

## Static Public Attributes
static final int | CONTENT_INSPECT_TYPE_INVALID = 0
static final int | CONTENT_INSPECT_TYPE_MODERATION = 1
static final int | CONTENT_INSPECT_TYPE_SUPERVISE = 2
static final int | CONTENT_INSPECT_TYPE_IMAGE_MODERATION = 3
static final int | MAX_CONTENT_INSPECT_MODULE_COUNT = 32

## Detailed Description

Screenshot and upload configuration.

Since
  v3.4.2.

## Member Data Documentation

## ◆ CONTENT_INSPECT_TYPE_INVALID

final int io.agora.rtc2.video.ContentInspectConfig.CONTENT_INSPECT_TYPE_INVALID = 0
| static

0: (Default) No actual function. Do not set `type` to this value.

## ◆ CONTENT_INSPECT_TYPE_MODERATION

final int io.agora.rtc2.video.ContentInspectConfig.CONTENT_INSPECT_TYPE_MODERATION = 1
| static

Deprecated:
  Content inspect type moderation

## ◆ CONTENT_INSPECT_TYPE_SUPERVISE

final int io.agora.rtc2.video.ContentInspectConfig.CONTENT_INSPECT_TYPE_SUPERVISE = 2
| static

2: Video screenshot and upload via Agora self-developed extension. The SDK takes screenshots of videos sent by local users and upload them.

## ◆ CONTENT_INSPECT_TYPE_IMAGE_MODERATION

final int io.agora.rtc2.video.ContentInspectConfig.CONTENT_INSPECT_TYPE_IMAGE_MODERATION = 3
| static

3: Video screenshot and upload via extensions from Agora Extensions Marketplace. SDK uses video moderation extensions from Agora Extensions Marketplace to take screenshots of the video stream in the channel and uploads them.

## ◆ extraInfo

String io.agora.rtc2.video.ContentInspectConfig.extraInfo

Additional information on the video content (maximum length: 1024 Bytes). The SDK sends the screenshots and additional information on the video content to the Agora server. Once the video screenshot and upload process is completed, the Agora server sends the additional information and the callback notification to your server.

## ◆ serverConfig

String io.agora.rtc2.video.ContentInspectConfig.serverConfig

(Optional) Server configuration related to uploading video screenshots via extensions from Agora Extensions Marketplace. This parameter only takes effect when `type` in `ContentInspectModule` is set to `CONTENT_INSPECT_TYPE_IMAGE_MODERATION`. If you want to use it, contact `technical support`.

## ◆ modules

ContentInspectModule [] io.agora.rtc2.video.ContentInspectConfig.modules

Functional module. See `ContentInspectModule`. A maximum of 32 `ContentInspectModule` instances can be configured, and the value range of `MAX_CONTENT_INSPECT_MODULE_COUNT` is an integer in [1,32].

Note
  A function module can only be configured with one instance at most. Currently only the video screenshot and upload function is supported.

## ◆ moduleCount

int io.agora.rtc2.video.ContentInspectConfig.moduleCount

The number of functional modules, that is,the number of configured `ContentInspectModule` instances, must be the same as the number of instances configured in `modules`. The maximum number is 32.